%define with_pyver 3
Name:          ansible
Version:       10.2.0
Release:       1mamba
Summary:       A radically simple IT automation system
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.ansible.com/
Source:        https://pypi.debian.net/ansible/ansible-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: (python3.11dist(ansible-core) >= 2.17.2 with python3.11dist(ansible-core) < 2.18)
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
Provides:      python-ansible
Obsoletes:     python-ansible < 4.0.0
Provides:      python-ansible-py310
Obsoletes:     python-ansible-py310 <= 5.6.0-1mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist
sed -i "/ /d" %{name}.filelist
sed -i "/hotspot20_h2qp_.*cpython/d" %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/ansible-%{version}-py*.egg-info
%{python_sitearch}/ansible-%{version}-py*.egg-info/*
%{python_sitearch}/ansible_collections/cisco/intersight/misc/*.pdf
%{python_sitearch}/ansible_collections/cisco/meraki/playbooks/organizations_admin*copy.yml
%{python_sitearch}/ansible_collections/cisco/ucs/misc/*.pdf
%{python_sitearch}/ansible_collections/fortinet/fortios/plugins/modules/__pycache__/fortios_wireless_controller_hotspot20_h2qp_*.cpython-*.pyc
%doc COPYING

%changelog
* Wed Jul 17 2024 Automatic Build System <autodist@openmamba.org> 10.2.0-1mamba
- automatic version update by autodist

* Tue Jun 18 2024 Automatic Build System <autodist@openmamba.org> 10.1.0-1mamba
- automatic version update by autodist

* Fri Jun 07 2024 Automatic Build System <autodist@openmamba.org> 10.0.1-1mamba
- automatic version update by autodist

* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 9.6.0-1mamba
- automatic version update by autodist

* Wed Apr 24 2024 Automatic Build System <autodist@openmamba.org> 9.5.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2024 Automatic Build System <autodist@openmamba.org> 9.4.0-1mamba
- automatic version update by autodist

* Tue Feb 27 2024 Automatic Build System <autodist@openmamba.org> 9.3.0-1mamba
- automatic version update by autodist

* Tue Jan 30 2024 Automatic Build System <autodist@openmamba.org> 9.2.0-1mamba
- automatic version update by autodist

* Wed Dec 06 2023 Automatic Build System <autodist@mambasoft.it> 9.1.0-1mamba
- automatic version update by autodist

* Wed Nov 22 2023 Automatic Build System <autodist@mambasoft.it> 9.0.1-1mamba
- automatic version update by autodist

* Fri Nov 10 2023 Automatic Build System <autodist@mambasoft.it> 8.6.1-1mamba
- automatic version update by autodist

* Wed Oct 11 2023 Automatic Build System <autodist@mambasoft.it> 8.5.0-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 8.4.0-1mamba
- automatic version update by autodist

* Tue Aug 15 2023 Automatic Build System <autodist@mambasoft.it> 8.3.0-1mamba
- automatic version update by autodist

* Mon Jul 31 2023 Automatic Build System <autodist@mambasoft.it> 8.2.0-1mamba
- automatic version update by autodist

* Tue May 23 2023 Automatic Build System <autodist@mambasoft.it> 7.6.0-1mamba
- automatic version update by autodist

* Tue May 09 2023 Automatic Build System <autodist@mambasoft.it> 7.5.0-1mamba
- automatic version update by autodist

* Wed Mar 29 2023 Automatic Build System <autodist@mambasoft.it> 7.4.0-1mamba
- automatic version update by autodist

* Tue Feb 28 2023 Automatic Build System <autodist@mambasoft.it> 7.3.0-1mamba
- automatic version update by autodist

* Wed Feb 01 2023 Automatic Build System <autodist@mambasoft.it> 7.2.0-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 6.6.0-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 6.5.0-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 6.4.0-1mamba
- automatic version update by autodist

* Fri Aug 26 2022 Automatic Build System <autodist@mambasoft.it> 6.3.0-1mamba
- automatic version update by autodist

* Thu Aug 18 2022 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Thu Jun 09 2022 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Thu May 19 2022 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Fri May 06 2022 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Sun May 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-2mamba
- rebuilt as ansible instead of ansible-py310

* Sat Apr 16 2022 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Wed Dec 22 2021 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Thu Dec 02 2021 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Tue Nov 30 2021 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Thu Nov 25 2021 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Wed Nov 03 2021 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Fri Oct 15 2021 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Wed Sep 22 2021 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Wed Sep 01 2021 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Wed Aug 11 2021 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Wed Jul 21 2021 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Wed Jun 30 2021 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Fri Jun 11 2021 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Wed May 19 2021 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Wed May 12 2021 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Wed Mar 31 2021 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 2.10.7-1mamba
- automatic version update by autodist

* Wed Jan 27 2021 Automatic Build System <autodist@mambasoft.it> 2.10.6-1mamba
- automatic version update by autodist

* Wed Jan 06 2021 Automatic Build System <autodist@mambasoft.it> 2.10.5-1mamba
- automatic version update by autodist

* Fri Dec 04 2020 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic version update by autodist

* Thu Nov 05 2020 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic version update by autodist

* Wed Oct 14 2020 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Sat Sep 26 2020 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Tue Sep 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.13-2mamba
- rebuilt with python3

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 2.9.13-1mamba
- automatic version update by autodist

* Wed Aug 12 2020 Automatic Build System <autodist@mambasoft.it> 2.9.12-1mamba
- automatic version update by autodist

* Tue Jul 21 2020 Automatic Build System <autodist@mambasoft.it> 2.9.11-1mamba
- automatic version update by autodist

* Sun Jun 21 2020 Automatic Build System <autodist@mambasoft.it> 2.9.10-1mamba
- automatic version update by autodist

* Wed May 13 2020 Automatic Build System <autodist@mambasoft.it> 2.9.9-1mamba
- automatic version update by autodist

* Mon Apr 20 2020 Automatic Build System <autodist@mambasoft.it> 2.9.7-1mamba
- automatic version update by autodist

* Thu Mar 12 2020 Automatic Build System <autodist@mambasoft.it> 2.9.6-1mamba
- automatic version update by autodist

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 2.9.5-1mamba
- automatic version update by autodist

* Sun Feb 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.4-1mamba
- update to 2.9.4

* Thu May 03 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-1mamba
- package created using the webbuild interface
